Upgrading GlassFish v3 to EclipseLink 2.0.2

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Upgrading GlassFish v3 to EclipseLink 2.0.2

drrevis
Hi everyone,

I've been having a problem recently with reliably accessing a list of enums in an entity.  I've posted a question about that and haven't yet found a solution, so I'm wondering if upgrading to EclipseLink 2.0.2 might help.  

I've downloaded eclipselink-plugins-2.0.2.v20100323-r6872.zip, but I'm not sure how I should actually do the upgrade.  Do I just copy these files into the glassfish modules directory?  Or is there a way to upgrade this using the install new software tool?  Just trying to make sure I don't create other problems in the process of trying to upgrade.

Thanks so much for any help!

Renee
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

Wouter van Reeven
Hi Renee,


You may be better of asking at the GlassFish users mailinglist. See

http://glassfish.org

for how to subscribe. One question: isn't a new version of EclipseLink
available through Update Center?


HTH, Wouter van Reeven

On Tue, May 04, 2010 at 06:39:24AM -0700, drrevis wrote:

>
> Hi everyone,
>
> I've been having a problem recently with reliably accessing a list of enums
> in an entity.  I've posted a question about that and haven't yet found a
> solution, so I'm wondering if upgrading to EclipseLink 2.0.2 might help.  
>
> I've downloaded eclipselink-plugins-2.0.2.v20100323-r6872.zip, but I'm not
> sure how I should actually do the upgrade.  Do I just copy these files into
> the glassfish modules directory?  Or is there a way to upgrade this using
> the install new software tool?  Just trying to make sure I don't create
> other problems in the process of trying to upgrade.
>
> Thanks so much for any help!
>
> Renee
>
> --
> View this message in context: http://old.nabble.com/Upgrading-GlassFish-v3-to-EclipseLink-2.0.2-tp28447520p28447520.html
> Sent from the java.net - glassfish persistence mailing list archive at Nabble.com.

--
"WHAT DO YOU GET IF YOU MULTIPLY SIX BY NINE?"
"Six by nine. Forty two. That's it. That's all there is."
"I always thought something was fundamentally wrong with the universe"
[The Hitchhiker's Guide To The Galaxy]

Skype: wvreeven
Facebook: wvreeven
Twitter: wvreeven
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

drrevis
Hi Wouter,

I hoped it would be available as an update as well, but if it is, I haven't found it.  Maybe I'm just not referencing the right site to find the update.  Any suggestions for what that might be?

I'll try checking with the general glassfish mailing list as well.

Thanks,
Renee


Wouter van Reeven wrote
Hi Renee,


You may be better of asking at the GlassFish users mailinglist. See

http://glassfish.org

for how to subscribe. One question: isn't a new version of EclipseLink
available through Update Center?


HTH, Wouter van Reeven


--
"WHAT DO YOU GET IF YOU MULTIPLY SIX BY NINE?"
"Six by nine. Forty two. That's it. That's all there is."
"I always thought something was fundamentally wrong with the universe"
[The Hitchhiker's Guide To The Galaxy]

Skype: wvreeven
Facebook: wvreeven
Twitter: wvreeven
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

Mitesh Meswani-2
Hi Renee,

To start using 2.0.2, you need to replace following jars under modules
dir with corresponding jars from 2.0.2.

org.eclipse.persistence.antlr.jar  org.eclipse.persistence.jpa.jar
org.eclipse.persistence.asm.jar    org.eclipse.persistence.jpa.modelgen.jar
org.eclipse.persistence.core.jar   org.eclipse.persistence.oracle.jar

For downloading the jars, You will choose OSGI bundles from
http://www.eclipse.org/eclipselink/downloads/

-Mitesh
On 5/4/2010 9:02 AM, drrevis wrote:

> Hi Wouter,
>
> I hoped it would be available as an update as well, but if it is, I haven't
> found it.  Maybe I'm just not referencing the right site to find the update.
> Any suggestions for what that might be?
>
> I'll try checking with the general glassfish mailing list as well.
>
> Thanks,
> Renee
>
>
>
> Wouter van Reeven wrote:
>    
>> Hi Renee,
>>
>>
>> You may be better of asking at the GlassFish users mailinglist. See
>>
>> http://glassfish.org
>>
>> for how to subscribe. One question: isn't a new version of EclipseLink
>> available through Update Center?
>>
>>
>> HTH, Wouter van Reeven
>>
>>
>> --
>> "WHAT DO YOU GET IF YOU MULTIPLY SIX BY NINE?"
>> "Six by nine. Forty two. That's it. That's all there is."
>> "I always thought something was fundamentally wrong with the universe"
>> [The Hitchhiker's Guide To The Galaxy]
>>
>> Skype: wvreeven
>> Facebook: wvreeven
>> Twitter: wvreeven
>>
>>
>>      
>    

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

Petr Jiricka
Also, if you just bundle another version of EclipseLink in the WEB-INF/
lib of your application, shouldn't it override the one that is  
included in the server?

Petr


On May 4, 2010, at 7:01 PM, Mitesh Meswani wrote:

> Hi Renee,
>
> To start using 2.0.2, you need to replace following jars under  
> modules dir with corresponding jars from 2.0.2.
>
> org.eclipse.persistence.antlr.jar  org.eclipse.persistence.jpa.jar
> org.eclipse.persistence.asm.jar    
> org.eclipse.persistence.jpa.modelgen.jar
> org.eclipse.persistence.core.jar   org.eclipse.persistence.oracle.jar
>
> For downloading the jars, You will choose OSGI bundles from http://www.eclipse.org/eclipselink/downloads/
>
> -Mitesh
> On 5/4/2010 9:02 AM, drrevis wrote:
>> Hi Wouter,
>>
>> I hoped it would be available as an update as well, but if it is, I  
>> haven't
>> found it.  Maybe I'm just not referencing the right site to find  
>> the update.
>> Any suggestions for what that might be?
>>
>> I'll try checking with the general glassfish mailing list as well.
>>
>> Thanks,
>> Renee
>>
>>
>>
>> Wouter van Reeven wrote:
>>
>>> Hi Renee,
>>>
>>>
>>> You may be better of asking at the GlassFish users mailinglist. See
>>>
>>> http://glassfish.org
>>>
>>> for how to subscribe. One question: isn't a new version of  
>>> EclipseLink
>>> available through Update Center?
>>>
>>>
>>> HTH, Wouter van Reeven
>>>
>>>
>>> --
>>> "WHAT DO YOU GET IF YOU MULTIPLY SIX BY NINE?"
>>> "Six by nine. Forty two. That's it. That's all there is."
>>> "I always thought something was fundamentally wrong with the  
>>> universe"
>>> [The Hitchhiker's Guide To The Galaxy]
>>>
>>> Skype: wvreeven
>>> Facebook: wvreeven
>>> Twitter: wvreeven
>>>
>>>
>>>
>>
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

Mitesh Meswani-2
That should also work if the target is to upgrade only a single
application.

On 5/4/2010 12:46 PM, Petr Jiricka wrote:

> Also, if you just bundle another version of EclipseLink in the
> WEB-INF/lib of your application, shouldn't it override the one that is
> included in the server?
>
> Petr
>
>
> On May 4, 2010, at 7:01 PM, Mitesh Meswani wrote:
>
>> Hi Renee,
>>
>> To start using 2.0.2, you need to replace following jars under
>> modules dir with corresponding jars from 2.0.2.
>>
>> org.eclipse.persistence.antlr.jar  org.eclipse.persistence.jpa.jar
>> org.eclipse.persistence.asm.jar    
>> org.eclipse.persistence.jpa.modelgen.jar
>> org.eclipse.persistence.core.jar   org.eclipse.persistence.oracle.jar
>>
>> For downloading the jars, You will choose OSGI bundles from
>> http://www.eclipse.org/eclipselink/downloads/
>>
>> -Mitesh
>> On 5/4/2010 9:02 AM, drrevis wrote:
>>> Hi Wouter,
>>>
>>> I hoped it would be available as an update as well, but if it is, I
>>> haven't
>>> found it.  Maybe I'm just not referencing the right site to find the
>>> update.
>>> Any suggestions for what that might be?
>>>
>>> I'll try checking with the general glassfish mailing list as well.
>>>
>>> Thanks,
>>> Renee
>>>
>>>
>>>
>>> Wouter van Reeven wrote:
>>>
>>>> Hi Renee,
>>>>
>>>>
>>>> You may be better of asking at the GlassFish users mailinglist. See
>>>>
>>>> http://glassfish.org
>>>>
>>>> for how to subscribe. One question: isn't a new version of EclipseLink
>>>> available through Update Center?
>>>>
>>>>
>>>> HTH, Wouter van Reeven
>>>>
>>>>
>>>> --
>>>> "WHAT DO YOU GET IF YOU MULTIPLY SIX BY NINE?"
>>>> "Six by nine. Forty two. That's it. That's all there is."
>>>> "I always thought something was fundamentally wrong with the universe"
>>>> [The Hitchhiker's Guide To The Galaxy]
>>>>
>>>> Skype: wvreeven
>>>> Facebook: wvreeven
>>>> Twitter: wvreeven
>>>>
>>>>
>>>>
>>>
>>
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

Oggie
In reply to this post by drrevis
Hi,

I am working with EclipseLink 2.02 on NB 6.8 and EclipseGalileo SR2 as well.

In both cases you have to create the library on the IDE and then add that
library
to the project you are working in.

Witch IDE are you using?

Regards,
Jose

--------------------------------------------------
From: "drrevis" <[hidden email]>
Sent: Tuesday, May 04, 2010 3:39 PM
To: <[hidden email]>
Subject:  Upgrading GlassFish v3 to EclipseLink 2.0.2

>
> Hi everyone,
>
> I've been having a problem recently with reliably accessing a list of
> enums
> in an entity.  I've posted a question about that and haven't yet found a
> solution, so I'm wondering if upgrading to EclipseLink 2.0.2 might help.
>
> I've downloaded eclipselink-plugins-2.0.2.v20100323-r6872.zip, but I'm not
> sure how I should actually do the upgrade.  Do I just copy these files
> into
> the glassfish modules directory?  Or is there a way to upgrade this using
> the install new software tool?  Just trying to make sure I don't create
> other problems in the process of trying to upgrade.
>
> Thanks so much for any help!
>
> Renee
>
> --
> View this message in context:
> http://old.nabble.com/Upgrading-GlassFish-v3-to-EclipseLink-2.0.2-tp28447520p28447520.html
> Sent from the java.net - glassfish persistence mailing list archive at
> Nabble.com.
>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading GlassFish v3 to EclipseLink 2.0.2

drrevis

I'm using Eclipse Galileo.  And yes, I have the EclipseLink 2.0.2 library referenced and used by the project.  I was able to upgrade the files as Mitesh mentioned with no problems.  Unfortunately it didn't solve my enum problem, but at least I've eliminated that possibility.

Thanks,
Renee


Oggie wrote
Hi,

I am working with EclipseLink 2.02 on NB 6.8 and EclipseGalileo SR2 as well.

In both cases you have to create the library on the IDE and then add that
library
to the project you are working in.

Witch IDE are you using?

Regards,
Jose

--------------------------------------------------
Loading...